/*
 * Copyright 2000-2013 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.intellij.remoteServer.agent.util;

/**
 * @author michael.golubev
 */
public class DeploymentDataImpl implements DeploymentData {

  private final String myName;
  private boolean myStarted;

  public DeploymentDataImpl(String name, boolean started) {
    myName = name;
    myStarted = started;
  }

  public String getName() {
    return myName;
  }

  public boolean isStarted() {
    return myStarted;
  }

  public void setStarted(boolean started) {
    myStarted = started;
  }
}
